﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System.IO;
namespace SpreadsheetSample.Controllers
{
    public partial class SpreadsheetController : Controller
    {        
         public ActionResult SpreadsheetFeatures()
        {
            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Import(ImportRequest importRequest)
        {
            return Content(Spreadsheet.Open(importRequest));
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public void ExportToExcel()
        {
            string sheetModel = Request.Params["sheetModel"], sheetData = Request.Params["sheetData"];
            Stream getStream = Spreadsheet.Save(sheetModel, sheetData, ExportFormat.XLSX, ExcelVersion.Excel2013);

            //Reset the stream position to zero.
            getStream.Position = 0;

            using (ExcelEngine excelEngine = new ExcelEngine())
            {
                Syncfusion.XlsIO.IWorkbook workbook = excelEngine.Excel.Workbooks.Open(getStream);

                //Your code here
            }
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public void ExportToCsv(string sheetModel, string sheetData)
        {
            Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.CSV);
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public void ExportToPdf(string sheetModel, string sheetData)
        {
            Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.PDF);
        }
    }
}
